Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.jxpath.impl
Class JXPathModelQueryImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.gmt.modisco.infra.query.impl.ModelQueryImpl
              org.eclipse.gmt.modisco.infra.query.jxpath.impl.JXPathModelQueryImpl

All Implemented Interfaces:
  JXPathModelQuery, ModelQuery

    public class JXPathModelQueryImpl

extends ModelQueryImpl
implements JXPathModelQuery

An implementation of the model object 'JX Path Model Query'.

The following features are implemented:

- `Query`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getQuery()`
`void` | `setQuery(java.lang.String newQuery)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.gmt.modisco.infra.query.impl.ModelQueryImpl
`basicGetReturnType, basicSetModelQuerySet, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getDescription, getLowerBound, getModelQuerySet, getName, getParameters, getReturnType, getScope, getUpperBound, isIsExternalContextDependent, setDescription, setIsExternalContextDependent, setLowerBound, setModelQuerySet, setName, setReturnType, setUpperBound`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmt.modisco.infra.query.ModelQuery
`getDescription, getLowerBound, getModelQuerySet, getName, getParameters, getReturnType, getScope, getUpperBound, isIsExternalContextDependent, setDescription, setIsExternalContextDependent, setLowerBound, setModelQuerySet, setName, setReturnType, setUpperBound`

Method Detail

### getQuery

    public java.lang.String getQuery()

  Specified by:
    `getQuery` in interface `JXPathModelQuery`
  Returns:
    the value of the 'Query' attribute.
  See Also:
    `JXPathModelQuery.setQuery(String)`, `JxpathPackage.getJXPathModelQuery_Query()`

### setQuery

    public void setQuery(java.lang.String newQuery)

  Specified by:
    `setQuery` in interface `JXPathModelQuery`
  Parameters:
    `newQuery` - the new value of the 'Query' attribute.
  See Also:
    `JXPathModelQuery.getQuery()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `ModelQueryImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `ModelQueryImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `ModelQueryImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `ModelQueryImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ModelQueryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD